Modify

#290 closed enhancement (fixed)

Patch: blist shows the account number where each contact belongs

Reported by: presi Owned by:
Priority: normal Milestone:
Component: BitlBee Version: 1.1dev
Keywords: blist account number Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro: OS-independent

Description

I have written a patch that adds the account number for each contact as a new field on blist output, for example:

>blist
Nick          User/Host/Network/Account         Status
jacky         jack@example.com (jabber,0)       Online
jack          jack@example.com (jabber,1)       Online

>account list
0. JABBER, presi@example.com (connected)
1. JABBER, presi@example.net (connected)

I think this is useful when you have two accounts of the same protocol and the same contact on both accounts, or when you are migrating from an account to a new one, I think also for that people is not interested in this the account number instead of account userid it's more compact and hopefully won't disturb them.

Attachments (1)

bitlbee-1.1dev-blist_account_numbers.diff (2.8 KB) - added by presi at 2007-05-31T18:21:56Z.
Patch to add account numbers on blist output

Download all attachments as: .zip

Change History (3)

Changed at 2007-05-31T18:21:56Z by presi

Patch to add account numbers on blist output

comment:1 Changed at 2008-01-11T00:49:00Z by wilmer

Resolution: fixed
Status: newclosed

I think your patch is incomplete, the account_get_number() isn't defined anywhere. :-)

Anyway, I'm trying to drop account numbers. They're still supported and will always be, but they're not the easiest to remember. Since version 0.9x (IIRC) it's possible to use the protocol name or parts of the screenname to specify an IM account. So instead, I added the screenname to the blist output.

It takes more space, but it's more consistent with imcb_log() and friends. It looks like this:

wilmer_           wilmer@gaast.net jabber(wilm0r@gaast.net  Online

Committed in changeset:devel,298

comment:2 Changed at 2008-01-30T00:21:57Z by presi

I think your patch is incomplete, the account_get_number() isn't defined anywhere. :-)

Yes it is, in account.c :) And I have the patch applied to my every-day bitlbee and it's working as I expect.

Anyway I like your solution. Thanks Wilmer.

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.